Bug 12409 - openjdk support
: openjdk support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jpackage-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-27 18:25 by
Modified: 2007-08-01 00:19 (History)


Attachments
jpackage-utils-openjdk-1.7.0-support.patch (711 bytes, patch)
2007-07-27 18:26, viy
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-27 18:25:54
надо бы папки вида xxx-1.7.0 добавить, а то проблемы со сборкой под openjdk.
--- jpackage-utils.spec 2007-07-27 17:18:41 +0300
+++ jpackage-utils.spec 2007-07-27 17:25:33 +0300
@@ -131,8 +131,8 @@
 install -dm 755 $RPM_BUILD_ROOT$_jvmcommonsysconfdir
 install -dm 755 $RPM_BUILD_ROOT$_javadir
 install -dm 755 $RPM_BUILD_ROOT$_jnidir
-install -dm 755
$RPM_BUILD_ROOT$_javadir-{utils,ext,1.3.1,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0}
-install -dm 755
$RPM_BUILD_ROOT$_jnidir-{ext,1.3.1,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0}
+install -dm 755
$RPM_BUILD_ROOT$_javadir-{utils,ext,1.3.1,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0,1.7.0}
+install -dm 755
$RPM_BUILD_ROOT$_jnidir-{ext,1.3.1,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0,1.7.0}
 install -dm 755 $RPM_BUILD_ROOT$_javadocdir
 install -dm 755 $RPM_BUILD_ROOT$_mavendepmapdir
------- Comment #1 From 2007-07-27 18:26:30 -------
Created an attachment (id=2116) [details]
jpackage-utils-openjdk-1.7.0-support.patch
------- Comment #2 From 2007-07-29 22:14:46 -------
Fixed in 1.7.3-alt5